Bug 883060 (CVE-2012-5620)

Summary: CVE-2012-5620 dovecot: DoS when handling a search for multiple keywords
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: janfrode, mhlavink
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121005,reported=20121203,source=internet,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,fedora-all/dovecot=affected,rhel-6/dovecot=affected,rhel-5/dovecot=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-04 17:51:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 883067    
Bug Blocks: 883066    

Description Vincent Danen 2012-12-03 12:26:52 EST
Dovecot 2.1.11 was released [1] and includes a fix for a crash condition when the IMAP server was issued a SEARCH command with multiple KEYWORD parameters.  An authenticated remote user could use this flaw to crash Dovecot [2].

The upstream fix [3] was to remove the keyword merging code.  This code does not exist in Dovecot 1.x, but it does affect 2.x versions, at least as far back as 2.0.9 (earliest version I checked).

So Red Hat Enterprise Linux 5 is not affected by this flaw, but Red Hat Enterprise Linux 6 and Fedora are.

[1] http://www.dovecot.org/list/dovecot-news/2012-November/000235.html
[2] http://secunia.com/advisories/51455
[3] http://hg.dovecot.org/dovecot-2.1/rev/0306792cc843
Comment 1 Vincent Danen 2012-12-03 12:32:29 EST
Created dovecot tracking bugs for this issue

Affects: fedora-all [bug 883067]
Comment 2 Vincent Danen 2012-12-04 00:37:54 EST
This has been assigned CVE-2012-5620:

http://www.openwall.com/lists/oss-security/2012/12/04/4
Comment 3 Vincent Danen 2012-12-04 17:51:04 EST
This was filed a bit prematurely.  As upstream indicates in the Debian bug report [1], a user can only crash their own session (self-DoS), which we would not consider a security flaw.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695138#15

Statement:

Red Hat does not consider this to be a security flaw as a user executing these commands will only succeed in preventing service to the current connection, and not to the server as a whole.